# $Revision: 1.1 $, $Date: 2005/09/12 15:44:34 $
%define		_origname bmp-musepack
Summary:	This is an input plugin for BMP which plays MPC encoded audio files
Summary(pl):	Wtyczka wejciowa dla BMP odtwarzajcy pliki MPC
Name:		bmp-input-mpc
Version:	1.2
Release:	1
License:	LGPL
Group:		X11/Applications/Sound
Source0:	http://files.musepack.net/linux/plugins/%{_origname}-%{version}.tar.bz2
# Source0-md5:	5fe0c9d341ca37d05c780a478f829a5f
URL:		http://www.musepack.net/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	bmp-devel
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	libmpcdec-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	taglib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
This plugin for BMP can play audio files which are encoded with Andree
Buschmann's encoder Musepack. These files have the filename postfixes
MPC, MP+ or MPP.

%description -l pl
Ta wtyczka dla BMP odtwarza pliki dwikowe zakodowane koderem
Musepack autorstwa Andree Buschmanna. Te pliki maj rozszerzenie MPC,
MP+ lub MPP.

%prep
%setup -q -n %{_origname}-%{version}

sed -i -e 's|-O3|%{rpmcflags}|' configure.ac
%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT
	
rm -f $RPM_BUILD_ROOT%{_libdir}/bmp/Input/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bmp/Input/libmpc.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bmp-input-mpc.spec,v $
Revision 1.1  2005/09/12 15:44:34  freetz
- stolen from xmms-input-musepack

